import { DialogResultType, DialogType } from "../components/x-dialog/component";
export interface DialogOptions {
    type?: DialogType;
    header?: string;
    message: string;
    interval?: number;
    buttonCloseText?: string;
    buttonConfirmYesText?: string;
    buttonConfirmNoText?: string;
    buttonConfirmLoading?: boolean;
    buttonConfirmResult?: boolean;
}
export interface IDialog {
    (options: DialogOptions): Promise<DialogResultType>;
    fromResponse(response: any): Promise<any>;
    success(options: DialogOptions | string): Promise<DialogResultType>;
    danger(options: DialogOptions | string): Promise<DialogResultType>;
    exception(options: DialogOptions | string): Promise<DialogResultType>;
    error(options: DialogOptions | string): Promise<DialogResultType>;
    invalid(options: DialogOptions | string): Promise<DialogResultType>;
    missing(options: DialogOptions | string): Promise<DialogResultType>;
    payment(options: DialogOptions | string): Promise<DialogResultType>;
    unknown(options: DialogOptions | string): Promise<DialogResultType>;
    confirm(options: DialogOptions | string): Promise<DialogResultType>;
    failure(options: DialogOptions | string): Promise<DialogResultType>;
    noResult(options: DialogOptions | string): Promise<DialogResultType>;
    forbidden(options: DialogOptions | string): Promise<DialogResultType>;
}
export declare class DialogService {
    /**
     * Action handler from message response
     *
     * @param action
     * @returns
     */
    private onAction;
    /**
     * Create modal element
     *
     * @returns
     */
    private createModal;
    /**
     * Create dialog element
     *
     * @param options
     * @returns
     */
    private createDialog;
    /**
     * Open dialog and show message
     *
     * @param options
     * @returns
     */
    private open;
    /**
     * Create response dialog from request
     *
     * @param response
     * @returns
     */
    private fromResponse;
    /**
     * Create service
     *
     * @returns
     */
    static create(): IDialog;
}
export declare const Dialog: IDialog;
